Package org.springframework.web.service.invoker

# Class HttpMethodArgumentResolver

java.lang.Object
org.springframework.web.service.invoker.HttpMethodArgumentResolver

All Implemented Interfaces:
  `HttpServiceArgumentResolver`

public class HttpMethodArgumentResolver extends Object implements HttpServiceArgumentResolver
`HttpServiceArgumentResolver` that resolves the target request's HTTP method from an `HttpMethod` argument.

Since:
  6.0
Author:
  Olga Maciaszek-Sharma, Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`HttpMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`resolve(Object argument, org.springframework.core.MethodParameter parameter, HttpRequestValues.Builder requestValues)`
Resolve the argument value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpMethodArgumentResolver

public HttpMethodArgumentResolver()

## Method Details

### resolve

public boolean resolve(@Nullable Object argument, org.springframework.core.MethodParameter parameter, HttpRequestValues.Builder requestValues)
Description copied from interface: `HttpServiceArgumentResolver`
Resolve the argument value.

Specified by:
  `resolve` in interface `HttpServiceArgumentResolver`
Parameters:
  `argument` - the argument value
  `parameter` - the method parameter for the argument
  `requestValues` - builder to add HTTP request values to
Returns:
  `true` if the argument was resolved, `false` otherwise